MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
LTIBBBImageWriter Class Reference

writes an image stage to a BBB file More...

`#include <lti_bbbImageWriter.h>`

Inheritance diagram for LTIBBBImageWriter:
[legend]
Collaboration diagram for LTIBBBImageWriter:
[legend]

## Public Member Functions
| LTIBBBImageWriter (void)
virtual | ~LTIBBBImageWriter (void)
LT_STATUS | writeBegin (const LTIScene &scene)
| begin an encode (write) operation More...
LT_STATUS | deleteOutput (void)
| clean up a failed encode (write) operation More...
Public Member Functions inherited from LTIRawImageWriter
| LTIRawImageWriter (void)
virtual | ~LTIRawImageWriter (void)
LT_STATUS | initialize (LTIImageStage *imageStage)
| initialization function More...
LTILayout | getLayout () const
virtual LT_STATUS | writeStrip (LTISceneBuffer &stripBuffer, const LTIScene &stripScene)
| encode one strip of the scene More...
void | setLayout (LTILayout layout)
| set layout More...
void | setByteOrder (LTIEndian byteOrder)
| set byte order More...
Public Member Functions inherited from LTIGeoFileImageWriter
virtual | ~LTIGeoFileImageWriter ()
virtual LT_STATUS | writeEnd (void)
| complete an encode (write) operation More...
virtual LT_STATUS | setOutputFileSpec (const LTFileSpec &fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputFileSpec (const char *fileSpec)
| set output file name More...
virtual LT_STATUS | setOutputStream (LTIOStreamInf *stream)
| set output file stream More...
virtual void | setWriteWorldFile (bool enabled)
| enable writing of world file More...
Public Member Functions inherited from LTIImageWriter
virtual | ~LTIImageWriter ()
virtual LT_STATUS | write (const LTIScene &scene)
| write (encode) a scene to the output format More...
LT_STATUS | setStripHeight (lt_uint32 stripHeight)
| set the stripheight for the encode More...
lt_uint32 | getStripHeight (void) const
| get the stripheight for the encode More...
virtual lt_uint32 | getDefaultStripHeight (void) const
| get the preferred stripheight for the encode More...
virtual lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode the scene More...
void | setProgressDelegate (LTIProgressDelegate *delegate)
| set progress delegate More...
void | setInterruptDelegate (LTIInterruptDelegate *delegate)
| set interrupt delegate More...
const LTIImageStage * | getSourceImageStage (void) const
| get the source image stage More...
LTIProgressDelegate * | getProgressDelegate (void) const
| get progress delegate More...
LTIInterruptDelegate * | getInterruptDelegate (void) const
| get interrupt delegate More...
virtual LT_STATUS | setEncodingApplication (const char *name, const char *version, const char *comment=NULL)
| set name and version of the creating application More...

## Static Public Member Functions
static LT_STATUS | writeHeader (const LTFileSpec &fileSpec, const LTIImage &image, const LTIScene *userScene, LTIEndian byteOrder, LTILayout layout)

## Additional Inherited Members
Protected Member Functions inherited from LTIGeoFileImageWriter
| LTIGeoFileImageWriter (bool supportsStreams)
| constructor More...
LTIOStreamInf * | getStream () const
| get underlying stream More...
LTFileSpec * | getFileSpec () const
| get target filename More...
Protected Attributes inherited from LTIRawImageWriter
LTILayout | m_layout
LTIEndian | m_byteOrder

## Detailed Description

This class provides support for writing BBB files, i.e. a raw file with a BBB-style header.

Examples:
  DecodeJP2ToBBB.cpp, DerivedImageFilter.cpp, and DerivedImageReader.cpp.

Definition at line 27 of file lti_bbbImageWriter.h.

## Constructor & Destructor Documentation

LTIBBBImageWriter::LTIBBBImageWriter | ( | void | ) |  |

virtual LTIBBBImageWriter::~LTIBBBImageWriter | ( | void | ) |  |
| virtual

## Member Function Documentation

LT_STATUS LTIBBBImageWriter::deleteOutput | ( | void | ) |  |
| virtual

This function should delete any output files that were create during the calls to writeBegin() and writeStrip().

This function is called by write(). Derived classes must implement this function.

Returns
  status code indicating the failure of operation

Reimplemented from LTIGeoFileImageWriter.

LT_STATUS LTIBBBImageWriter::writeBegin | ( | const LTIScene & | scene) |  |
| virtual

This function implements the logic for beginning the encoding of the given scene.

The scene must be a valid scene for the underlying image pipeline.

This function is called by write(). Derived classes must implement this function.

Parameters

  scene | the scene to decode and output

Returns
  status code indicating success or failure

Reimplemented from LTIRawImageWriter.

static LT_STATUS LTIBBBImageWriter::writeHeader | ( | const LTFileSpec & | fileSpec,
|  | const LTIImage & | image,
|  | const LTIScene * | userScene,
|  | LTIEndian | byteOrder,
|  | LTILayout | layout
| ) |  |
| static

The documentation for this class was generated from the following file:

- lti_bbbImageWriter.h

LizardTech